Class Fox::FXMaterial

In: | FXGLViewer.rb
Parent: | Object

OpenGL Material Description

Methods

new

Attributes

ambient | [RW] | Ambient material color [FXHVec]
diffuse | [RW] | Diffuse material color [FXHVec]
emission | [RW] | Emissive material color [FXHVec]
shininess | [RW] | Specular shininess [Float]
specular | [RW] | Specular material color [FXHVec]

Public Class methods

new()

Returns an initialized FXMaterial instance